
Core - Bug # 53131

Status: Closed Priority: Should have
Author: Frans Saris Category: File Abstraction Layer (FAL)
Created: 2013-10-25 Assigned To:
Updated: 2013-11-11 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity: medium
Is Regression: Yes
Sprint Focus:
Subject: Uncaught TYPO3 Exception uid property is already set. Cannot merge index record. When running 'Migrate 

all file links of RTE-enabled fields to FAL' wizard
Description

I run into the following exception while executing the RTE image wizard in the install tool

Uncaught TYPO3 Exception:
#1321023156: uid property is already set. Cannot merge index record. 

When it doen't find a existing record in ResourceFactory::getFileObjectByStorageAndIdentifier() it tries to create one. In that process
there is a new record created (without tstamp and cdate set). And when trying to load the index info it finds this record and you get the
exception.

Related issues:
duplicates Core - Bug # 52972: InvalidArgumentException in several cases Closed 2013-10-19

History
#1 - 2013-10-27 12:13 - Robert Wildling

I have the same issue when trying to insert a picture in a content element of type "Images":

Uncaught TYPO3 Exception
#1321023156:
uid property is already set. Cannot merge index record. (More information)

InvalidArgumentException thrown in file
/path/to/folder/typo3_src/typo3/sysext/core/Classes/Resource/File.php in line 221.

Enviroment:
TYPO3 CMS 6.2 beta1
MAMP Pro 2.2
php 5.3.7 & php 5.4.19
MySQL 5.5.33

#2 - 2013-10-27 13:52 - Frans Saris

Hi Robert,
Did you select a image that was already present in fileadmin, or did you upload a new image?

And have you run the fal indexer schedular task?

Gr. Frans

#3 - 2013-10-27 20:48 - Rene S.

Hello together,

the Install-Tool doesn't work if you use "Migrate all file relations from tt_content.image and pages.media" and so on.
We always get the message as shown in the bug openers posting.

Greetings Rene

#4 - 2013-10-28 17:31 - Philipp Gampe
- Complexity set to medium
- Is Regression changed from No to Yes

#5 - 2013-10-28 17:31 - Philipp Gampe
- Status changed from New to Accepted

#6 - 2013-10-30 09:48 - Frans Saris

It also happens when you add a file directly (ftp/ssh/etc) to your fileadmin directory and than open the file module.

#7 - 2013-10-30 23:17 - Pascal Hinz

I get the same Exception in different situations. 
1) In the Install-Tool as described in this Tickets
2) Sometimes i get the Exception in the Frontend on the first request when i created a new Text Picture Content Element with a new Image 
3) Also get the Exception in the language Modul in a fresh TYPO3 6.2 Beta1 installation as allready described in this Ticket #52972

#8 - 2013-11-06 18:03 - Markus Klein
- Status changed from Accepted to Closed

Closing as duplicate

2015-08-04 2/2


